const require_regex = require('./regex.cjs');
const require_slash = require('./slash.cjs');

//#region ../../node_modules/.pnpm/@stryke+path@0.26.4/node_modules/@stryke/path/dist/is-type.mjs
/**
* Check if the path is an absolute path.
*
* @param path - The path to check
* @returns An indicator specifying if the path is an absolute path
*/
function isAbsolutePath(path) {
	return require_regex.ABSOLUTE_PATH_REGEX.test(require_slash.slash(path));
}
/**
* Check if the path is an absolute path.
*
* @remarks
* This is an alias for {@link isAbsolutePath}.
*
* @param path - The path to check
* @returns An indicator specifying if the path is an absolute path
*/
function isAbsolute(path) {
	return isAbsolutePath(path);
}

//#endregion
exports.isAbsolute = isAbsolute;